petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoComputeJacobianDesign

Computes the Jacobian matrix that has been set with TaoSetJacobianDesignRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianDesign(Tao tao, Vec X, Mat J)

Collective on Tao

### Input Parameters

| solver | - the Tao solver context
| xx | - input vector

### Output Parameters

H -Jacobian matrix

### Notes

Most users should not need to explicitly call this routine, as it is used internally within the minimization solvers.

TaoComputeJacobianDesign() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetJacobianDesignRoutine(), TaoComputeJacobianDesign(), TaoSetStateDesignIS()

Level:developer
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages